Bug 148677 - Web Inspector: add pixel area column to layout timeline view
Summary: Web Inspector: add pixel area column to layout timeline view
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Matt Baker
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2015-09-01 08:33 PDT by Brian Burg
Modified: 2016-06-30 15:30 PDT (History)
8 users (show)

See Also:


Attachments
[Patch] Proposed Fix (3.57 KB, patch)
2016-06-19 17:32 PDT, Matt Baker
no flags Details | Formatted Diff | Diff
[Patch] Proposed Fix (2.19 KB, patch)
2016-06-30 15:00 PDT, Matt Baker
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Burg 2015-09-01 08:33:03 PDT
Showing the dimensions is nice but the area is more important from a performance impact perspective. We could even highlight paints above some threshold, like >50% of the viewport or something. But just having the data (again) would be nice.
Comment 1 Radar WebKit Bug Importer 2015-09-01 08:33:33 PDT
<rdar://problem/22518762>
Comment 2 Timothy Hatcher 2015-09-01 09:54:23 PDT
We had area. I can't remember why we removed it.
Comment 3 Matt Baker 2016-06-19 17:32:17 PDT
Created attachment 281627 [details]
[Patch] Proposed Fix
Comment 4 Brian Burg 2016-06-20 10:18:19 PDT
Comment on attachment 281627 [details]
[Patch] Proposed Fix

r=me

Where is the px^2 string used?
Comment 5 Joseph Pecoraro 2016-06-20 10:49:41 PDT
Comment on attachment 281627 [details]
[Patch] Proposed Fix

View in context: https://bugs.webkit.org/attachment.cgi?id=281627&action=review

> Source/WebInspectorUI/UserInterface/Views/LayoutTimelineDataGridNode.js:52
> +                area: this._record.width * this._record.height,
>                  width: this._record.width,
>                  height: this._record.height,
>                  area: this._record.width * this._record.height,

Area is already here on line 52.
Comment 6 Brian Burg 2016-06-30 14:35:41 PDT
Comment on attachment 281627 [details]
[Patch] Proposed Fix

Clearing review queue. Please remove duplicate 'area'.
Comment 7 Matt Baker 2016-06-30 15:00:17 PDT
Created attachment 282473 [details]
[Patch] Proposed Fix
Comment 8 WebKit Commit Bot 2016-06-30 15:29:57 PDT
Comment on attachment 282473 [details]
[Patch] Proposed Fix

Clearing flags on attachment: 282473

Committed r202713: <http://trac.webkit.org/changeset/202713>
Comment 9 WebKit Commit Bot 2016-06-30 15:30:01 PDT
All reviewed patches have been landed.  Closing bug.